package de.lmu.ifi.pms.cep.event_mill.sql.optimization.dtsa;

import org.simpleframework.xml.Attribute;

import de.lmu.ifi.pms.cep.tsa.optimization.DTSA_Optimizer;
import de.lmu.ifi.pms.cep.tsa.optimization.DTSA_OptimizerFactory;


public class DTSA_RecoveryEnhacerFactory extends DTSA_OptimizerFactory {
	
	public static final String defaultIdentifier = "de.lmu.ifi.pms.cep.dtsa.optimizer.recovery";
	
	public DTSA_RecoveryEnhacerFactory() {
		this(defaultIdentifier);
	}
	
	public DTSA_RecoveryEnhacerFactory(@Attribute(name="iri", required=true) final String identifier) {
		super(identifier);
	}

	@Override
	public DTSA_Optimizer make() {
		return new DTSA_RecoveryEnhacer();
	}

}
