package de.lmu.ifi.pms.cep.tsa.conditions.adaptor;

import de.lmu.ifi.pms.cep.tsa.conditions.AtomicTerm;
import de.lmu.ifi.pms.cep.tsa.conditions.Term;
import de.lmu.ifi.pms.java.util.adaption.Adapter;
import de.lmu.ifi.pms.java.util.map.fixed.FixedArrayNavigableMap;

public class MapReplaceAtomicTerm implements Adapter<AtomicTerm<?>, Term<?>>{
	
	public final FixedArrayNavigableMap<AtomicTerm<?>, Term<?>> mapping;
	
	public MapReplaceAtomicTerm(final FixedArrayNavigableMap<AtomicTerm<?>, Term<?>> mapping) {
		super();
		this.mapping = mapping;
	}

	@Override
	public Term<?> adapt(final AtomicTerm<?> source) {
		int index = this.mapping.keys().indexOf(source);
		if(index >= 0){
			return this.mapping.get(source);
		}
		else{
			return source;
		}
	}

}
