package de.lmu.ifi.pms.cep.tsa.time;

import de.lmu.ifi.pms.cep.event_mill.sql.SQL_CONSTANTS;

public class SystemClock extends Clock {
	
	long lastValue = SQL_CONSTANTS.BIGINT.MIN_VALUE;

	@Override
	public synchronized long now() {
		long now = System.currentTimeMillis();
		if(now > this.lastValue){
			this.lastValue = now;
		}
		return this.lastValue;
	}
	
	@Override
	public synchronized long min() {
		return this.now() - 1;
	}
	
	//FIXME

}
