package de.lmu.ifi.pms.java.util.adaption;

import de.lmu.ifi.pms.java.util.collection.javaWrapper.ToJavaSetWrapper;
import de.lmu.ifi.pms.java.util.collection.set.Set;

public abstract class SetAdapter<SourceType, DestinationType> extends
		CollectionAdapter<SourceType, DestinationType> implements Set<DestinationType>{

	public SetAdapter(final Set<? extends SourceType> c) {
		super(c);
	}

	@Override
	public abstract DestinationType adapt(SourceType source);
	
	@Override
	public java.util.AbstractSet<DestinationType> javaCollection() {
		return new ToJavaSetWrapper<DestinationType>(this);
	}

}
