/**
 * 
 */
package de.lmu.ifi.pms.java.util.collection.extendible.list;

/**
 * @author Simon Matthias Brodt
 *
 */
public interface DoubleLinkedListEntry<Type, ListEntryType extends DoubleLinkedListEntry<Type, ListEntryType>> extends SingleLinkedListEntry<Type, ListEntryType> {
	
	void remove();
	
	
	boolean hasNext();
	
	ListEntryType next();
	
	void insertBehind(ListEntryType entry);

	void removeNext();
	
	
	void removeFollowing();
	
	boolean isHead();
	
}
