/**
 * 
 */
package de.lmu.ifi.pms.java.util.collection.extendible.set.tree;

import de.lmu.ifi.pms.java.util.collection.fixed.set.FixedSortedSet;
import de.lmu.ifi.pms.java.util.collection.set.SortedSet;
import de.lmu.ifi.pms.java.util.tupel.Tripple;

/**
 * @author Simon Matthias Brodt
 *
 */
public abstract class BTreeNode<Type> implements SortedSet<Type>{

	public abstract void add(Type element) throws OverflowException;
	
	public abstract void remove(Type element) throws UnderflowException;
	
	public abstract Tripple<Object, Type, BTreeNode<Type>, BTreeNode<Type>> split();
	
	public abstract boolean hasChilds();
	
	public abstract FixedSortedSet<Type> elements();
	
	public abstract BTreeNode<Type> child(int i);
	
}
