package de.lmu.ifi.pms.java.util.collection.fixed;

import java.util.Collection;

import de.lmu.ifi.pms.java.lang.iteration.AbstractFinalListIterator;
import de.lmu.ifi.pms.java.lang.iteration.AbstractFixedIterator;



public abstract class AbstractFixedList<Type> extends AbstractFixedCollection<Type>
		implements FixedList<Type> {

	@Override
	public AbstractFixedIterator<Type> iterator(){
		return this.listIterator();
	}

	@Override
	public abstract int size();
	
	@Override
	public abstract AbstractFinalListIterator<Type> listIterator();

	@Override
	public abstract AbstractFinalListIterator<Type> listIterator(int index);

	@Override
	public abstract AbstractFixedList<Type> subList(int fromIndex, int toIndex);

	@Override
	public abstract Type get(int index);

	@Override
	public abstract int indexOf(Object o);

	@Override
	public abstract int lastIndexOf(Object o);

	@Deprecated
	public final void add(final int index, final Type element) {
		throw new UnsupportedOperationException();
	}

	@Deprecated
	public final boolean addAll(final int index, final Collection<? extends Type> c) {
		throw new UnsupportedOperationException();
	}
	
	@Deprecated
	public final Type remove(final int index) {
		throw new UnsupportedOperationException();
	}

	@Deprecated
	public final Type set(final int index, final Type element) {
		throw new UnsupportedOperationException();
	}

}
