package de.lmu.ifi.pms.java.util.collection.fixed;

import de.lmu.ifi.pms.java.lang.iteration.FixedListIterator;
import de.lmu.ifi.pms.java.util.collection.List;


public interface FixedList<Type> extends FixedCollection<Type>, List<Type>{
	
	@Override
	public FixedListIterator<Type> listIterator();
	
	@Override
	public FixedListIterator<Type> listIterator(int index);
	
	@Override
	public FixedList<Type> subList(int fromIndex, int toIndex);
	
}
