/**
 * 
 */
package de.lmu.ifi.pms.java.util.map;

import de.lmu.ifi.pms.java.lang.iteration.ModifyableIterator;


/**
 * @author Simon Matthias Brodt
 *
 */
public interface ModifyableMap<KeyType, ValueType, EntryType extends ModifyableEntry<KeyType, ValueType>> extends Map<KeyType, ValueType, EntryType>{

	void set(KeyType key, ValueType value);
	
	@Override
	public ModifyableIterator<EntryType> iterator();
	
}
