
@echo off

setlocal
::SETLOCAL ENABLEEXTENSIONS

set localpath=%~dp0
::echo %localpath%
cd /D %localpath%

set version=0.4.2

IF [%1]==[] (set hasParams=false) ELSE (set hasParams=true)

set args="%~1"

SHIFT /1

:Loop
IF NOT [%1]==[] (
	set args=%args% "%~1"
	SHIFT /1
	GOTO Loop
)

::echo %args%

@echo off
if exist event-mill-%version%.jar (
	java -ea -jar event-mill-%version%.jar %args%
) else ( 
	if exist lib/event-mill-%version%.jar (
		java -ea -jar lib/event-mill-%version%.jar %args%
	) else (
		echo "Could not find event-mill-%version%.jar ."
	)
)

IF [%hasParams%]==[false] pause

endlocal
