package de.lmu.ifi.pms.cep.dura.compiler.exceptions;

import org.antlr.runtime.RecognitionException;


public class DuraParseException extends DuraCompilationException {
	
	public DuraParseException(RecognitionException e, String filename) {
		super(e.getMessage(), filename, e.line, e.charPositionInLine);
	}
	
	public DuraParseException(String msg, String filename, int line, int pos) {
		super(msg, filename, line, pos);
	}
	
	public DuraParseException(String msg, String filename, int line) {
		super(msg, filename, line);
	}
	
	public DuraParseException(String msg, String position) {
		super(msg, position);
	}
	
}