package de.lmu.ifi.pms.cep.tsa;

public enum DTSA_QueryType {
	STATIC,
	INIT,
	INPUT,
	WORKING,
	OUTPUT,
	LOG,
	GARBAGE_STATIC(false, true),
	GARBAGE_INIT(false, true),
	GARBAGE_EVAL(false, true)
	;
	
	public final boolean isEvalQuery;
	public final boolean isGarbageQuery;
	
	private DTSA_QueryType() {
		this(true, false);
	}
	
	private DTSA_QueryType(final boolean isEvalQuery, final boolean isGarbageQuery) {
		this.isEvalQuery = isEvalQuery;
		this.isGarbageQuery = isGarbageQuery;
	}
}
