package de.lmu.ifi.pms.cep.tsa.compiler;

import org.simpleframework.xml.Attribute;

import de.lmu.ifi.pms.cep.compilation.CompilerFactory;
import de.lmu.ifi.pms.cep.tsa.DTSA_Program;
import de.lmu.ifi.pms.cep.tsa.TSA_Program;

public abstract class TSA_DifferencerFactory extends CompilerFactory<TSA_Program, DTSA_Program>{
	
	public TSA_DifferencerFactory(@Attribute(name="iri", required=true) final String identifier) {
		super(TSA_Program.class, DTSA_Program.class, identifier);
	}
	
	@Override
	public abstract TSA_Differencer make();

}
