package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.BasicTypeID;

public class BooleanAttribute extends BasicTypeAttribute {

	protected BooleanAttribute(final String name) {
		super(name, BasicTypeID.BOOLEAN);
	}
	
	@Override
	public BooleanAttribute rename(final String newName) {
		return new BooleanAttribute(newName);
	}
	
	public static BooleanAttribute create(final String name){
		return (BooleanAttribute) BasicTypeAttribute.create(name, BasicTypeID.BOOLEAN);
	}
	
}
