package de.lmu.ifi.pms.cep.tsa.conditions;

import de.lmu.ifi.pms.cep.tsa.schema.BasicType;
import de.lmu.ifi.pms.cep.tsa.schema.BasicTypeID;

public class DoubleNamedConstant extends BasicTypeNamedConstant {
	
	public DoubleNamedConstant(final String name) {
		super(BasicTypeID.DOUBLE, name);
	}
	
	@Override
	public TypedNamedConstant<BasicType> rename(final String newName) {
		return new DoubleNamedConstant(newName);
	}

}
