package de.lmu.ifi.pms.cep.tsa.operators;

import de.lmu.ifi.pms.cep.tsa.exceptions.TSA_Exception;
import de.lmu.ifi.pms.cep.tsa.schema.TemporalStreamSchema;
import de.lmu.ifi.pms.java.util.collection.Collection;
import de.lmu.ifi.pms.java.util.collection.fixed.FixedCollection;

public abstract class TSA_BasicOperator extends TSA_Operator
{
	@SuppressWarnings("hiding")
	public final TSA_BasicOperatorID ID;

	TSA_BasicOperator(final TSA_BasicOperatorID id, final FixedCollection<String> origin)
	{
		super(TSA_OperatorID.BASIC, origin);
		this.ID = id;
	}
	
	@Override
	public abstract int inputArity();
	
	@Override
	public abstract TemporalStreamSchema apply(final Collection<TemporalStreamSchema> inputs) throws TSA_Exception;

}
