package de.lmu.ifi.pms.cep.tsa.optimization;

import org.simpleframework.xml.Attribute;



public class DTSA_GarbageCollectorFactory extends DTSA_OptimizerFactory {
	
	public static final String defaultIdentifier = "de.lmu.ifi.pms.cep.dtsa.optimizer.gc";
	
	public DTSA_GarbageCollectorFactory() {
		this(defaultIdentifier);
	}
	
	public DTSA_GarbageCollectorFactory(@Attribute(name="iri", required=true) final String identifier) {
		super(identifier);
	}

	@Override
	public DTSA_Optimizer make() {
		return new DTSA_GarbageCollector();
	}

}
