package de.lmu.ifi.pms.cep.tsa.optimization;

import de.lmu.ifi.pms.cep.compilation.Compiler;
import de.lmu.ifi.pms.cep.tsa.TSA_Program;

public abstract class TSA_Optimizer extends Compiler<TSA_Program, TSA_Program>{
	
	public TSA_Optimizer() {
		super(TSA_Program.class, TSA_Program.class);
	}
	
	@Override
	public TSA_Program compile(final TSA_Program sourceProgram) {
		return this.optimize(sourceProgram);
	}
	
	public abstract TSA_Program optimize(TSA_Program program);

}
