package de.lmu.ifi.pms.java;

import org.slf4j.Logger;


public abstract class LoggingObject{
	
	public LoggingObject() {
		super();
		
	}
	
	protected abstract Logger logger();

	protected void trace(final String msg) {
		this.logger().trace(msg);
	}

	protected void trace(final String format, final Object arg) {
		this.logger().trace(format, arg);
	}

	protected void trace(final String format, final Object arg1, final Object arg2) {
		this.logger().trace(format, arg1, arg2);
	}

	protected void trace(final String format, final Object[] argArray) {
		this.logger().trace(format, argArray);
	}

	protected void trace(final String msg, final Throwable t) {
		this.logger().trace(msg, t);
	}

	protected void debug(final String msg) {
		this.logger().debug(msg);
	}

	protected void debug(final String format, final Object arg) {
		this.logger().debug(format, arg);
	}

	protected void debug(final String format, final Object arg1, final Object arg2) {
		this.logger().debug(format, arg1, arg2);
	}

	protected void debug(final String format, final Object[] argArray) {
		this.logger().debug(format, argArray);
	}

	protected void debug(final String msg, final Throwable t) {
		this.logger().debug(msg, t);
	}

	protected void info(final String msg) {
		this.logger().info(msg);
	}

	protected void info(final String format, final Object arg) {
		this.logger().info(format, arg);
	}

	protected void info(final String format, final Object arg1, final Object arg2) {
		this.logger().info(format, arg1, arg2);
	}

	protected void info(final String format, final Object[] argArray) {
		this.logger().info(format, argArray);
	}

	protected void info(final String msg, final Throwable t) {
		this.logger().info(msg, t);
	}

	protected void warn(final String msg) {
		this.logger().warn(msg);
	}

	protected void warn(final String format, final Object arg) {
		this.logger().warn(format, arg);
	}

	protected void warn(final String format, final Object arg1, final Object arg2) {
		this.logger().warn(format, arg1, arg2);
	}

	protected void warn(final String format, final Object[] argArray) {
		this.logger().warn(format, argArray);
	}

	protected void warn(final String msg, final Throwable t) {
		this.logger().warn(msg, t);
	}

	protected void error(final String msg) {
		this.logger().error(msg);
	}

	protected void error(final String format, final Object arg) {
		this.logger().error(format, arg);
	}

	protected void error(final String format, final Object arg1, final Object arg2) {
		this.logger().error(format, arg1, arg2);
	}

	protected void error(final String format, final Object[] argArray) {
		this.logger().error(format, argArray);
	}

	protected void error(final String msg, final Throwable t) {
		this.logger().error(msg, t);
	}

}
