package de.lmu.ifi.pms.java.lang.iteration;

public abstract class AbstractModifyableIterator<Type> extends AbstractIterator<Type> implements ModifyableIterator<Type>{

	@Override
	public abstract boolean hasNext();

	@Override
	public abstract Type next();
	
	@Override
	public abstract void replace(Type newValue);

	@Override
	@SuppressWarnings({ "unchecked", "cast" })
	public void replace(final boolean newValue) {
		this.replace((Type)(Object)newValue);
	}

	@Override
	@SuppressWarnings({ "unchecked", "cast" })
	public void replace(final byte newValue) {
		this.replace((Type)(Object)newValue);
	}

	@Override
	@SuppressWarnings({ "unchecked", "cast" })
	public void replace(final char newValue) {
		this.replace((Type)(Object)newValue);
	}

	@Override
	@SuppressWarnings({ "unchecked", "cast" })
	public void replace(final double newValue) {
		this.replace((Type)(Object)newValue);
	}

	@Override
	@SuppressWarnings({ "unchecked", "cast" })
	public void replace(final float newValue) {
		this.replace((Type)(Object)newValue);
	}

	@Override
	@SuppressWarnings({ "unchecked", "cast" })
	public void replace(final int newValue) {
		this.replace((Type)(Object)newValue);
	}

	@Override
	@SuppressWarnings({ "unchecked", "cast" })
	public void replace(final long newValue) {
		this.replace((Type)(Object)newValue);
	}

	@Override
	@SuppressWarnings({ "unchecked", "cast" })
	public void replace(final short newValue) {
		this.replace((Type)(Object)newValue);
	}
	
	
	
}
