package de.lmu.ifi.pms.java.lang.iteration;

import java.util.Iterator;

public class JavaIteratorWrapper<Type> extends AbstractIterator<Type> {
	
	private final java.util.Iterator<? extends Type> javaIterator;

	public JavaIteratorWrapper(final Iterator<? extends Type> javaIterator) {
		super();
		this.javaIterator = javaIterator;
	}

	@Override
	public final boolean hasNext() {
		return this.javaIterator.hasNext();
	}

	@Override
	public final Type next() {
		return this.javaIterator.next();
	}

}
