package de.lmu.ifi.pms.java.util.collection;

import de.lmu.ifi.pms.java.lang.iteration.Iterator;


public interface Collection<Type> extends Iterable<Type>{
	
	@Override
	public Iterator<Type> iterator();
	
	public boolean contains(Object e);
	
	public boolean containsAll(java.util.Collection<?> c);
	
	public boolean containsAll(Collection<?> c);
	
	public boolean isEmpty();
	
	public int size();
	
	public Object[] toArray();
	
	public <T> T[] toArray(T[] a);
	
	public java.util.Collection<Type> javaCollection();
	
}
