/**
 * 
 */
package de.lmu.ifi.pms.java.util.collection.fixed.wrapper;

import de.lmu.ifi.pms.java.util.collection.Collection;
import de.lmu.ifi.pms.java.util.collection.composition.FixedComposedCollection;
import de.lmu.ifi.pms.java.util.collection.fixed.set.FixedSet;
import de.lmu.ifi.pms.java.util.collection.javaWrapper.ToJavaSetWrapper;
import de.lmu.ifi.pms.java.util.collection.set.Set;

/**
 * @author Simon Matthias Brodt
 *
 */
public class UncheckedComposedSet<Type> extends FixedComposedCollection<Type> implements FixedSet<Type>{

	/**
	 * @param collections
	 */
	public UncheckedComposedSet(final Set<? extends Type>... collections) {
		super(collections);
	}

	/**
	 * @param collections
	 */
	public UncheckedComposedSet(final Collection<Set<? extends Type>> collections) {
		super(collections);
	}
	
	@Override
	public java.util.AbstractSet<Type> javaCollection() {
		return new ToJavaSetWrapper<Type>(this);
	}

}
