/**
 * 
 */
package de.lmu.ifi.pms.java.util.collection.set;

import java.util.Comparator;

/**
 * @author Simon Matthias Brodt
 *
 */
public interface SortedSet<Type> extends Set<Type>{

	public Comparator<? super Type> comparator();
	
	public Type first();
	
	public Type last();

	public SortedSet<Type> headSet(Type toElement);

	public SortedSet<Type> tailSet(Type fromElement);

	public SortedSet<Type> subSet(Type fromElement, Type toElement);
	
	@Override
	public java.util.SortedSet<Type> javaCollection();
	
}
