package de.lmu.ifi.pms.java.util.observable;

public class NotifiedObserverImpl<ArgumentType extends Notification<ArgumentType>, ObservableType extends Observable<ArgumentType, ObservableType>> implements Observer<ArgumentType, ObservableType> {
	
	protected ArgumentType notification;	

	public NotifiedObserverImpl(final ArgumentType notification) {
		super();
		this.notification = notification;
	}

	@Override
	public void update(final ObservableType observable, final ArgumentType notification) {
		this.notification.add(notification);
	}

	@Override
	public void update(final ObservableType observable) {
		
	}

}
